EXISTDB(1)

NAME
existDB - management of existDB files

SYNOPSIS
existDB [-mersize mersize] -build some.fasta prefix

existDB -describe prefix

existDB -testfiles some.fasta prefix

existDB -testexistence some.fasta

existDB -testexhaustive some.fasta some.meryl

DESCRIPTION
This program is part of libkmer.

OPTIONS

-mersize mersize
    Use the specified mersize when building existDB tables.

-build some.fasta prefix
    Build an existDB on all mers in some.fasta and save the tables into prefix.

-describe prefix
    Reports the state of some existDB file.

-testfiles some.fasta prefix
    Build an existDB table from some.fasta. Write that table to disk. Load the table back. Compare that each mer in some.fasta is present in all three existDB tables created earlier.

-testexistence some.fasta
    Build an existDB table from some.fasta, check that every mer in some.fasta can be found in the table. Does not guarantee that every mer in the table is found in the file.

-testexhaustive some.fasta some.meryl
    Build an existDB table from some.fasta, check _EVERY_ mer for existence. Complain if a mer exists in the table but not in the meryl(1) database. Assumes some.meryl is the mercount of some.fasta.

SEE ALSO
meryl(1), positionDB(1)